Get integration search count
curl --request POST \
--url https://api.wirespeed.co/v1/integration/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size": 123,
"page": 123,
"filter": "<string>",
"search": "<string>",
"orderBy": "<string>",
"includeDisabled": true,
"healthStatus": [],
"ids": [
"<string>"
],
"integrationTypes": []
}
'import requests
url = "https://api.wirespeed.co/v1/integration/count"
payload = {
"size": 123,
"page": 123,
"filter": "<string>",
"search": "<string>",
"orderBy": "<string>",
"includeDisabled": True,
"healthStatus": [],
"ids": ["<string>"],
"integrationTypes": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
size: 123,
page: 123,
filter: '<string>',
search: '<string>',
orderBy: '<string>',
includeDisabled: true,
healthStatus: [],
ids: ['<string>'],
integrationTypes: []
})
};
fetch('https://api.wirespeed.co/v1/integration/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123
}{
"message": "<string>",
"statusCode": 123
}Integration
Get integration search count
Returns total count of integrations matching the same filters as the search endpoint.
POST
/
v1
/
integration
/
count
Get integration search count
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
asc, desc Include disabled integrations in search results
Filter by health status (multiple allowed)
Available options:
healthy, unhealthy, unstable, unknown Restrict results to the given integration IDs
Restrict results to integrations matching any of the provided integration types
Available options:
collaboration, endpoint, identity, network_vpn, cloud, siem, saas, attack_simulation, deception, enrichment, email, firewall, dns, custom Response
Total count of integrations matching the search criteria
⌘I

